<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.AppMenuMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.AppMenu">
        <id column="id" property="id" />
        <result column="weixin_user_id" property="weixinUserId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="name" property="name" />
        <result column="memo" property="memo" />
        <result column="type" property="type" />
        <result column="icon" property="icon" />
        <result column="url" property="url" />
        <result column="param" property="param" />
        <result column="orderby" property="orderby" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, weixin_user_id, create_time, modify_id, modify_time, soft_delete, name, memo, type, icon, url, param, orderby
    </sql>

</mapper>
